
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-7
%global meadalpha .redhat_7
%global meadrel .1
%global serial 1
%global namedversionrel redhat-7

%bcond_without mead

%define maven_version 1.0.0.redhat-7

Name:           jcip-annotations-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Concurrency in Practice book annotations
License:        CC-BY
Group:          Development/Java

%if %with mead
Source100: jcip-annotations-1.0.0.redhat-7-scm-sources.zip
Source102: jcip-annotations-1.0.0.redhat-7-project-sources.tar.gz
Source103: jcip-annotations-1.0.0.redhat-7-sources.jar
Source104: jcip-annotations-1.0.0.redhat-7.pom
Source105: jcip-annotations-1.0.0.redhat-7-javadoc.jar
Source106: jcip-annotations-1.0.0.redhat-7.jar
%endif

URL:            http://jcip.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jcip-annotations-eap6-%{namedversion}-%{release}-root

%description
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jcip-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jcip-annotations-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jcip-annotations-%{namedversion}.jar
%{_javadir}/%{name}/jcip-annotations.jar

%changelog
* Tue Nov 25 2014 Lin Gao <lgao@redhat.com> - 1.0.0-1.redhat_7.1
- Rebuild to fix invalid OSGI version

* Wed Sep 11 2013 David Walluck <dwalluck@redhat.com> 0:1.0-6
- 1.0.redhat-6
- update Version and Release to new wrapper conventions
- update Summary, License, URL, and %%description from POM

* Tue Jul 02 2013 Fernando Nasser <fnasser@redhat.com> 0:1.0-4.redhat_4
- Deploy the actual artifact LAST so the <type> is jar and not zip

* Tue Feb 12 2013 Fernando Nasser <fnasser@redhat.com> 0:1.0-3.1.redhat_3
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-3
- update Release tag

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-2
- fix build

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-1
- release
